【活用ガイド】

JVNDB-2016-001792

Ruby on Rails の Action Pack の actionpack/lib/action_dispatch/http/mime_type.rb におけるサービス運用妨害 (DoS) の脆弱性

概要

Ruby on Rails の Action Pack の actionpack/lib/action_dispatch/http/mime_type.rb は、MIME タイプのキャッシュの使用を適切に制限しないため、サービス運用妨害 (メモリ消費) 状態にされる脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

基本値: 5.0 (警告) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的

影響を受けるシステム


Ruby on Rails project
  • Rails 3.2.22.1 未満
  • Rails 4.0.x
  • Rails 4.1.14.1 未満の 4.1.x
  • Rails 4.2.5.1 未満の 4.2.x
  • Rails 5.0.0.beta1.1 未満の 5.x

想定される影響

第三者により、巧妙に細工された HTTP Accept ヘッダを介して、サービス運用妨害 (メモリ消費) 状態にされる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Ruby on Rails project
CWEによる脆弱性タイプ一覧  CWEとは?

  1. リソース管理の問題(CWE-399) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-0751
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-0751
更新履歴

[2016年03月22日]
  掲載